php warnings, cant access forum?

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
charliee
Registered User
Posts: 169
Joined: Sun Nov 06, 2011 2:49 am

php warnings, cant access forum?

Post by charliee » Sat Nov 09, 2019 12:57 am

Trying to get a forum working i think it got 3.2.0 installed right now, looked around in the files and cant see anything thats been messed with and last change date is about a year ago.
The host have a history of forcing updates with php on more then one occasion had to change to an older version to get it all to work, lowest version today is php 7.2, is phpbb 3.2.0 compatible with php 7.2?

I tried to update to 3.2.8 but whenever i try to access app.php i only get a white blank page, any idea why?


[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 580: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 636: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4511: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3257)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4511: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3257)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4511: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3257)

Regards

User avatar
EA117
Registered User
Posts: 1050
Joined: Wed Aug 15, 2018 3:23 am
Contact:

Re: php warnings, cant access forum?

Post by EA117 » Sat Nov 09, 2019 1:30 am

Yes, those session.php line number offsets match expected offsets for phpBB 3.2.0. And indeed, phpBB 3.2.0 is not compatible with PHP 7.2, and required PHP 7.2 fixes which were delivered in phpBB 3.2.2 and later. Updating to phpBB 3.2.8 would be a great way to address the issue, rather than backing off the PHP version to 7.1.x.

If you are trying to use the automatic update process, it might be dying for PHP 7.2 compatibility issues just like the live board itself is reporting issues. If it's not already what you were doing, use the full package download instead of the automatic update, and use the Updating 3.2.x process to perform the update, to help ensure you're running PHP 7.2-compatible code during the update.

Or, if the full package update process is already what you were attempting when seeing the failure, find your PHP error log to see what PHP error was occurring when hitting the "blank page" result. Your PHP error log might simply be an error_log file visible to you through FTP, or your hosting provider may have provided access to the PHP error log in some other file, or through your hosting control panel.

The PHP error log would show the specific error and potentially a call stack for how it was reached, if there is some kind of extension or disabled PHP feature that is causing the execution to not be able to proceed normally.

Post Reply

Return to “[3.2.x] Support Forum”